[P020]PDF

get
https://connect.patsnap.com/basic-patent-data/pdf-data
Try in Sandbox

Receive patent PDF document pathway by patent_id or patent_number.

The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned. The path is valid for 10 days and will be emptied after expiration.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
patent_id
string494407c3-459b-4c6b-8503-b5128cf0c07e,94365516-de3c-445b-aa73-dd8370887a2d,ddfc29cf-71c6-4bb3-b35b-10f256767152
patent_id
patent_number
stringEP2458380B1,CN3126351D,US20050262868A1
patent_number
replace_by_related
integer<int32>0
When the PDF of current patent is unavailable, whether to replace it with the PDF of its family patent?default not to replace: 1. Yes 0: No

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
array-
response data
pn
stringUS20050262868A1
patent number
pdf
objectPlease check the form: PdfDocument
pdf document
path
stringhttps://open.patsnap.com/pdf/watermark/US/A1/20/05/02/62/86/8/808dd980/US_20050262868_A1.pdf?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729564854%3B1729568454%26q-key-time%3D1729564854%3B1729568454%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3De55460f27058958901d4c0887f4875a9c697044a&response-expires=Tue%2C%2022%20Oct%202024%2003%3A40%3A54%20GMT
pdf path
patent_id
stringddfc29cf-71c6-4bb3-b35b-10f256767152
patent id
pn_related
stringAU2005202049A1
patent number of related patent (provided only if the substitute is made using the text of the same family patent)
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": [
    {
      "pn": "US20050262868A1",
      "pdf": {
        "path": "https://open.patsnap.com/pdf/watermark/US/A1/20/05/02/62/86/8/808dd980/US_20050262868_A1.pdf?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729564854%3B1729568454%26q-key-time%3D1729564854%3B1729568454%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3De55460f27058958901d4c0887f4875a9c697044a&response-expires=Tue%2C%2022%20Oct%202024%2003%3A40%3A54%20GMT"
      },
      "patent_id": "ddfc29cf-71c6-4bb3-b35b-10f256767152",
      "pn_related": "AU2005202049A1"
    }
  ],
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms